# std::get(std::span)

From cppreference.com
< cpp‎ | container‎ | span

template< std::size_t I, class T, std::size_t N > constexpr T& get( std::span<T,N> s ) noexcept; |  | (since C++20)

Obtains a reference to the `Ith` element of the span `s`.

The span must have static extent (i.e., N != std::dynamic_extent) and `I` must be an integer value in range `[0, N)`. This is enforced at compile time as opposed to operator[].

### Parameters

s | - | span whose contents to extract

### Return value

A reference to the `Ith` element of `s`.

### Complexity

Constant.

### Example

| This section is incomplete Reason: no example

### See also

operator[] | accesses an element of the sequence (public member function)
std::get(std::tuple) | tuple accesses specified element (function template)
std::get(std::pair) (C++11) | accesses an element of a `pair` (function template)
std::get(std::variant) (C++17) | reads the value of the variant given the index or the type (if the type is unique), throws on error (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/span/get&oldid=109476"